Get session form
Retrieve a form for a session.
GET
/api/session/{sessionID}/form/{formID}Path parameters
sessionIDstringrequiredformIDobjectrequiredResponses
200Success
dataForm.FormInfo | Form.UrlInforequiredShow propertiesHide properties
Any of:
Form.FormInfo
idobjectrequiredShow propertiesHide properties
objectsessionIDstringrequiredtitlestringrequiredmetadataForm.MetadatamodestringrequiredAllowed:
formfieldsForm.StringField | Form.NumberField | Form.IntegerField | Form.BooleanField | Form.MultiselectField[]requiredShow propertiesHide properties
Array of
Form.StringField | Form.NumberField | Form.IntegerField | Form.BooleanField | Form.MultiselectFieldAny of:
Form.StringField
keystringrequiredtitlestringdescriptionstringrequiredbooleanwhenForm.When[]Show propertiesHide properties
Array of
Form.WhenkeystringrequiredopstringrequiredAllowed:
eqneqvaluestring | number | string | string | booleanrequiredShow propertiesHide properties
Any of:
string
stringnumber | string | string
Any of:
number | string
Any of:
number
numberstring
stringstring
stringstring
stringstring
stringboolean
booleantypestringrequiredAllowed:
stringformatstringAllowed:
emailuridatedate-timeminLengthobjectShow propertiesHide properties
objectmaxLengthobjectShow propertiesHide properties
objectpatternstringplaceholderstringdefaultstringoptionsForm.Option[]Show propertiesHide properties
Array of
Form.OptionvaluestringrequiredlabelstringrequireddescriptionstringcustombooleanForm.NumberField
keystringrequiredtitlestringdescriptionstringrequiredbooleanwhenForm.When[]Show propertiesHide properties
Array of
Form.WhenkeystringrequiredopstringrequiredAllowed:
eqneqvaluestring | number | string | string | booleanrequiredShow propertiesHide properties
Any of:
string
stringnumber | string | string
Any of:
number | string
Any of:
number
numberstring
stringstring
stringstring
stringstring
stringboolean
booleantypestringrequiredAllowed:
numberminimumnumber | string | stringShow propertiesHide properties
Any of:
number | string
Any of:
number
numberstring
stringstring
stringstring
stringstring
stringmaximumnumber | string | stringShow propertiesHide properties
Any of:
number | string
Any of:
number
numberstring
stringstring
stringstring
stringstring
stringdefaultnumber | string | stringShow propertiesHide properties
Any of:
number | string
Any of:
number
numberstring
stringstring
stringstring
stringstring
stringForm.IntegerField
keystringrequiredtitlestringdescriptionstringrequiredbooleanwhenForm.When[]Show propertiesHide properties
Array of
Form.WhenkeystringrequiredopstringrequiredAllowed:
eqneqvaluestring | number | string | string | booleanrequiredShow propertiesHide properties
Any of:
string
stringnumber | string | string
Any of:
number | string
Any of:
number
numberstring
stringstring
stringstring
stringstring
stringboolean
booleantypestringrequiredAllowed:
integerminimumnumber | string | stringShow propertiesHide properties
Any of:
number | string
Any of:
number
numberstring
stringstring
stringstring
stringstring
stringmaximumnumber | string | stringShow propertiesHide properties
Any of:
number | string
Any of:
number
numberstring
stringstring
stringstring
stringstring
stringdefaultnumber | string | stringShow propertiesHide properties
Any of:
number | string
Any of:
number
numberstring
stringstring
stringstring
stringstring
stringForm.BooleanField
keystringrequiredtitlestringdescriptionstringrequiredbooleanwhenForm.When[]Show propertiesHide properties
Array of
Form.WhenkeystringrequiredopstringrequiredAllowed:
eqneqvaluestring | number | string | string | booleanrequiredShow propertiesHide properties
Any of:
string
stringnumber | string | string
Any of:
number | string
Any of:
number
numberstring
stringstring
stringstring
stringstring
stringboolean
booleantypestringrequiredAllowed:
booleandefaultbooleanForm.MultiselectField
keystringrequiredtitlestringdescriptionstringrequiredbooleanwhenForm.When[]Show propertiesHide properties
Array of
Form.WhenkeystringrequiredopstringrequiredAllowed:
eqneqvaluestring | number | string | string | booleanrequiredShow propertiesHide properties
Any of:
string
stringnumber | string | string
Any of:
number | string
Any of:
number
numberstring
stringstring
stringstring
stringstring
stringboolean
booleantypestringrequiredAllowed:
multiselectoptionsForm.Option[]requiredShow propertiesHide properties
Array of
Form.OptionvaluestringrequiredlabelstringrequireddescriptionstringminItemsobjectShow propertiesHide properties
objectmaxItemsobjectShow propertiesHide properties
objectcustombooleandefaultstring[]Form.UrlInfo
idobjectrequiredShow propertiesHide properties
objectsessionIDstringrequiredtitlestringrequiredmetadataForm.MetadatamodestringrequiredAllowed:
urlurlstringrequired400InvalidRequestError
_tagstringrequiredAllowed:
InvalidRequestErrormessagestringrequiredkindstring | anyShow propertiesHide properties
Any of:
string
stringany
anyfieldstring | anyShow propertiesHide properties
Any of:
string
stringany
any401UnauthorizedError
_tagstringrequiredAllowed:
UnauthorizedErrormessagestringrequired404SessionNotFoundError | FormNotFoundError
Any of:
FormNotFoundError
_tagstringrequiredAllowed:
FormNotFoundErroridstringrequiredmessagestringrequiredSessionNotFoundError
_tagstringrequiredAllowed:
SessionNotFoundErrorsessionIDstringrequiredmessagestringrequiredSessionNotFoundError
_tagstringrequiredAllowed:
SessionNotFoundErrorsessionIDstringrequiredmessagestringrequiredRequest
curl -X GET "/api/session/string/form/%5Bobject%20Object%5D"const response = await fetch("/api/session/string/form/%5Bobject%20Object%5D", {
method: "GET"
});import requests
response = requests.get(
"/api/session/string/form/%5Bobject%20Object%5D",
)Response
{
"data": {
"id": {},
"sessionID": "string",
"title": "string",
"metadata": {},
"mode": "form",
"fields": [
{
"key": "string",
"title": "string",
"description": "string",
"required": true,
"when": [
{
"key": "string",
"op": "eq",
"value": "string"
}
],
"type": "string",
"format": "email",
"minLength": {},
"maxLength": {},
"pattern": "string",
"placeholder": "string",
"default": "string",
"options": [
{
"value": "string",
"label": "string",
"description": "string"
}
],
"custom": true
}
]
}
}{
"_tag": "InvalidRequestError",
"message": "string",
"kind": "string",
"field": "string"
}{
"_tag": "UnauthorizedError",
"message": "string"
}{
"_tag": "FormNotFoundError",
"id": "string",
"message": "string"
}